Bug 961384 - Review Request: vim-javabrowser - JavaBrowser plugin for VIM
Review Request: vim-javabrowser - JavaBrowser plugin for VIM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Kuska
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 10:05 EDT by Petr Hracek
Modified: 2016-04-18 06:16 EDT (History)
5 users (show)

See Also:
Fixed In Version: vim-javabrowser-2.03-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-15 10:41:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rkuska: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Hracek 2013-05-09 10:05:53 EDT
Spec URL: http://phracek.fedorapeople.org/vim-javabrowser/vim-javabrowser.spec
SRPM URL: http://phracek.fedorapeople.org/vim-javabrowser/vim-javabrowser-2.03-1.fc18.src.rpm
Description: This script is SPECIFICALLY tailored for Java language. So, it shows structure of the Java file starting with classes defined within it and NOT in a general tag structure. I found it useful and hope you all find it useful too. It also has a nice syntax to show the class members in UML format.
Fedora Account System Username: phracek

$ rpmlint vim-javabrowser.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint /home/phracek/rpmbuild/SRPMS/vim-javabrowser-2.03-1.fc18.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$
Comment 1 Stanislav Ochotnicky 2013-06-03 04:09:39 EDT
Not doing a full review, just a few comments:
 * missing description
 * Group tag is not really used/needed anymore
 * Why do you need Requires(post[un]): vim? There are no post[un] scriptlets
 * %defattr macro is not needed either
Comment 3 Robert Kuska 2013-06-27 06:02:28 EDT
I'll take this for a review.
Comment 4 Robert Kuska 2013-06-27 06:15:36 EDT
You forgot to remove %defattr macro.
Comment 5 Petr Hracek 2013-06-27 07:15:38 EDT
Thanks,

%defattr macro was removed:
Spec URL: http://phracek.fedorapeople.org/vim-javabrowser/vim-javabrowser.spec
SRPM URL: http://phracek.fedorapeople.org/vim-javabrowser/vim-javabrowser-2.03-3.fc18.src.rpm

~/work/JavaBrowser> rpmlint /home/phracek/rpmbuild/RPMS/noarch/vim-javabrowser-2.03-3.fc19.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
~/work/JavaBrowser> rpmlint /home/phracek/rpmbuild/SRPMS/vim-javabrowser-2.03-3.fc19.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
~/work/JavaBrowser>
Comment 6 Robert Kuska 2013-06-27 07:25:28 EDT
The requested URL /vim-javabrowser/vim-javabrowser-2.03-3.fc18.src.rpm was not found on this server. Please fix that so I can use fedora-review tool.
Comment 7 Petr Hracek 2013-06-27 07:35:25 EDT
I upgraded OS to Fedora 19.

Correct URLs are:
Spec URL: http://phracek.fedorapeople.org/vim-javabrowser/vim-javabrowser.spec
SRPM URL: http://phracek.fedorapeople.org/vim-javabrowser/vim-javabrowser-2.03-3.fc19.src.rpm

Copy paste error:(
Comment 8 Robert Kuska 2013-07-02 02:23:27 EDT
Looks good now, approved.
Comment 9 Petr Hracek 2013-07-15 07:15:48 EDT
New Package SCM Request
=======================
Package Name: vim-javabrowser
Short Description: JavaBrowser plugin for VIM
Owners: phracek
Branches: f19
Comment 10 Gwyn Ciesla 2013-07-15 08:40:05 EDT
Git done (by process-git-requests).
Comment 11 Petr Hracek 2013-07-15 10:41:14 EDT
scm-commit (https://lists.fedoraproject.org/pipermail/scm-commits/Week-of-Mon-20130715/1056572.html) -> CLOSED RAWHIDE
Comment 12 Fedora Update System 2013-07-15 10:42:48 EDT
vim-javabrowser-2.03-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/vim-javabrowser-2.03-3.fc19
Comment 13 Fedora Update System 2013-08-10 08:38:45 EDT
vim-javabrowser-2.03-3.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.